Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5117)
@@ -16,6 +16,6 @@
     ! 3212–3234. https://doi.org/10.1029/2019MS001642
     
-    use lmdz_lscp_ini, ONLY: iflag_vice, ffallv_con, ffallv_lsc
-    use lmdz_lscp_ini, ONLY: cice_velo, dice_velo
+    USE lmdz_lscp_ini, ONLY: iflag_vice, ffallv_con, ffallv_lsc
+    USE lmdz_lscp_ini, ONLY: cice_velo, dice_velo
 
     IMPLICIT NONE
@@ -51,5 +51,5 @@
     IF (iflag_vice == 1) THEN
         ! so-called 'empirical parameterization' in Stubenrauch et al. 2019
-        if (tempc >= -60.0) THEN
+        IF (tempc >= -60.0) THEN
             logvm= -0.0000414122*tempc*tempc*log(iwcg)-0.00538922*tempc*log(iwcg) &
                     -0.0516344*log(iwcg)+0.00216078*tempc + 1.9714    
@@ -575,5 +575,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-    use lmdz_lscp_ini, ONLY: iflag_gammasat, t_glace_min, RTT
+    USE lmdz_lscp_ini, ONLY: iflag_gammasat, t_glace_min, RTT
 
     IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5117)
@@ -27,7 +27,7 @@
    USE lmdz_ioipsl_getin_p, ONLY: getin_p
 
-integer, intent(in) :: klon,klev,iflag_thermals,lunout_in
-integer, intent(in) :: nbsrf_in,is_lic_in,is_ter_in
-real, intent(in) :: RG_in,RV_in,RD_in,RCPD_in,RLSTT_in,RLVTT_in,RTT_in
+INTEGER, INTENT(IN) :: klon,klev,iflag_thermals,lunout_in
+INTEGER, INTENT(IN) :: nbsrf_in,is_lic_in,is_ter_in
+REAL, INTENT(IN) :: RG_in,RV_in,RD_in,RCPD_in,RLSTT_in,RLVTT_in,RTT_in
 
 INTEGER :: i,k
@@ -45,5 +45,5 @@
 
 PRINT*,'ratqs_ini'
-IF (iflag_thermals==15.or.iflag_thermals==16) THEN
+IF (iflag_thermals==15.OR.iflag_thermals==16) THEN
    dqimpl=-1
 else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5117)
@@ -30,36 +30,36 @@
 
 ! Input
-integer,intent(in) :: klon,klev,nbsrf,prt_level,lunout
-integer,intent(in) :: iflag_con,iflag_cld_th,iflag_ratqs
-real,intent(in) :: pdtphys,ratqsbas,ratqshaut,fact_cldcon,tau_ratqs
-real,intent(in) :: ratqsp0, ratqsdp
-real, dimension(klon,klev),intent(in) :: omega
-real, dimension(klon,klev+1),intent(in) :: paprs,tke,tke_dissip,lmix,wprime
-real, dimension(klon,klev),intent(in) :: pplay,t_seri,q_seri,zqsat
-real, dimension(klon,klev),intent(in) :: entr_therm,detr_therm,qtc_cv, sigt_cv
-real, dimension(klon,klev) :: detrain_cv,fm_cv,fqd,fqcomp
-real, dimension(klon) :: sigd
-
-real, dimension(klon,klev+1),intent(in) :: fm_therm
-logical, dimension(klon,klev),intent(in) :: ptconv
-real, dimension(klon,klev),intent(in) :: rnebcon0th,clwcon0th
-real, dimension(klon,klev),intent(in) :: wake_deltaq,wake_s
-real, dimension(klon,nbsrf),intent(in) :: t2m,q2m
-real, dimension(klon), intent(in) :: cell_area
-real, dimension(klon,nbsrf),intent(in) :: pctsrf
-real, dimension(klon),intent(in) :: s_pblh
-real, dimension(klon),intent(in) :: zstd
+INTEGER,INTENT(IN) :: klon,klev,nbsrf,prt_level,lunout
+INTEGER,INTENT(IN) :: iflag_con,iflag_cld_th,iflag_ratqs
+REAL,INTENT(IN) :: pdtphys,ratqsbas,ratqshaut,fact_cldcon,tau_ratqs
+REAL,INTENT(IN) :: ratqsp0, ratqsdp
+REAL, DIMENSION(klon,klev),INTENT(IN) :: omega
+REAL, DIMENSION(klon,klev+1),INTENT(IN) :: paprs,tke,tke_dissip,lmix,wprime
+REAL, DIMENSION(klon,klev),INTENT(IN) :: pplay,t_seri,q_seri,zqsat
+REAL, DIMENSION(klon,klev),INTENT(IN) :: entr_therm,detr_therm,qtc_cv, sigt_cv
+REAL, DIMENSION(klon,klev) :: detrain_cv,fm_cv,fqd,fqcomp
+REAL, DIMENSION(klon) :: sigd
+
+REAL, DIMENSION(klon,klev+1),INTENT(IN) :: fm_therm
+logical, DIMENSION(klon,klev),INTENT(IN) :: ptconv
+REAL, DIMENSION(klon,klev),INTENT(IN) :: rnebcon0th,clwcon0th
+REAL, DIMENSION(klon,klev),INTENT(IN) :: wake_deltaq,wake_s
+REAL, DIMENSION(klon,nbsrf),INTENT(IN) :: t2m,q2m
+REAL, DIMENSION(klon), INTENT(IN) :: cell_area
+REAL, DIMENSION(klon,nbsrf),INTENT(IN) :: pctsrf
+REAL, DIMENSION(klon),INTENT(IN) :: s_pblh
+REAL, DIMENSION(klon),INTENT(IN) :: zstd
 
 ! Output
-real, dimension(klon,klev),intent(inout) :: ratqs,ratqsc,ratqs_inter_
-
-logical, dimension(klon,klev),intent(inout) :: ptconvth
+REAL, DIMENSION(klon,klev),INTENT(INOUT) :: ratqs,ratqsc,ratqs_inter_
+
+logical, DIMENSION(klon,klev),INTENT(INOUT) :: ptconvth
 
 ! local
-integer i,k
-real, dimension(klon,klev) :: ratqss
-real facteur,zfratqs1,zfratqs2
-real, dimension(klon,klev) :: ratqs_hetero_,ratqs_oro_,ratqs_tke_
-real resol,resolmax,fact
+INTEGER i,k
+REAL, DIMENSION(klon,klev) :: ratqss
+REAL facteur,zfratqs1,zfratqs2
+REAL, DIMENSION(klon,klev) :: ratqs_hetero_,ratqs_oro_,ratqs_tke_
+REAL resol,resolmax,fact
 
 !-------------------------------------------------------------------------
@@ -71,5 +71,5 @@
 !   ----------------
 !   on ecrase le tableau ratqsc calcule par clouds_gno
-      if (iflag_cld_th==1) THEN
+      IF (iflag_cld_th==1) THEN
          do k=1,klev
          do i=1,klon
@@ -86,5 +86,5 @@
 !  par nversion de la fonction log normale
 !-----------------------------------------------------------------------
-      else if (iflag_cld_th==4) THEN
+      ELSE IF (iflag_cld_th==4) THEN
          ptconvth(:,:)=.FALSE.
          ratqsc(:,:)=0.
@@ -99,5 +99,5 @@
 !   -------------
 
-      if (iflag_ratqs==0) THEN
+      IF (iflag_ratqs==0) THEN
 ! Le cas iflag_ratqs=0 correspond a la version IPCC 2005 du modele.
          do k=1,klev
@@ -115,10 +115,10 @@
 ! avec thermiques.
 
-      else if (iflag_ratqs==1) THEN
+      ELSE IF (iflag_ratqs==1) THEN
          do k=1,klev
             do i=1, klon
-               if (pplay(i,k)>=60000.) THEN
+               IF (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas
-               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) THEN
+               ELSE IF ((pplay(i,k)>=30000.).AND.(pplay(i,k)<60000.)) THEN
                   ratqss(i,k)=ratqsbas+(ratqshaut-ratqsbas)*(60000.-pplay(i,k))/(60000.-30000.)
                else
@@ -128,10 +128,10 @@
          enddo
 
-      else if (iflag_ratqs==2) THEN
+      ELSE IF (iflag_ratqs==2) THEN
          do k=1,klev
             do i=1, klon
-               if (pplay(i,k)>=60000.) THEN
+               IF (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas*(paprs(i,1)-pplay(i,k))/(paprs(i,1)-60000.)
-               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) THEN
+               ELSE IF ((pplay(i,k)>=30000.).AND.(pplay(i,k)<60000.)) THEN
                     ratqss(i,k)=ratqsbas+(ratqshaut-ratqsbas)*(60000.-pplay(i,k))/(60000.-30000.)
                else
@@ -141,5 +141,5 @@
          enddo
 
-      else if (iflag_ratqs==3) THEN
+      ELSE IF (iflag_ratqs==3) THEN
          do k=1,klev
            ratqss(:,k)=ratqsbas+(ratqshaut-ratqsbas) &
@@ -147,5 +147,5 @@
          enddo
 
-      else if (iflag_ratqs==4) THEN
+      ELSE IF (iflag_ratqs==4) THEN
          do k=1,klev
            ratqss(:,k)=ratqsbas+0.5*(ratqshaut-ratqsbas) &
@@ -155,5 +155,5 @@
 
 
-      else if (iflag_ratqs==5) THEN
+      ELSE IF (iflag_ratqs==5) THEN
 ! Dependency of ratqs on model resolution
 ! Audran, Meryl, Lea, Gwendal and Etienne
@@ -170,5 +170,5 @@
 
 
-       else if (iflag_ratqs > 9) THEN
+       ELSE IF (iflag_ratqs > 9) THEN
        ! interactive ratqs calculations that depend on cold pools, orography, surface heterogeneity and small-scale turbulence
        ! This should help getting a more realistic ratqs in the low and mid troposphere
@@ -189,5 +189,5 @@
           enddo
       
-          if (iflag_ratqs == 10) THEN
+          IF (iflag_ratqs == 10) THEN
              ! interactive ratqs in presence of cold pools     
              CALL ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
@@ -201,5 +201,5 @@
              enddo
              ratqss=ratqss+ratqs_inter_
-          else if (iflag_ratqs == 11) THEN
+          ELSE IF (iflag_ratqs == 11) THEN
             PRINT*,'avant ratqs_inter'
             ! interactive ratqs with several sources
@@ -209,13 +209,13 @@
                        ratqs_inter_)
              ratqss=ratqss+ratqs_inter_
-          else if (iflag_ratqs == 12) THEN
+          ELSE IF (iflag_ratqs == 12) THEN
              ! contribution of surface heterogeneities to ratqs
              CALL ratqs_hetero(klon,klev,pctsrf,s_pblh,t2m,q2m,t_seri,q_seri,pplay,paprs,ratqs_hetero_)
              ratqss=ratqss+ratqs_hetero_
-          else if (iflag_ratqs == 13) THEN
+          ELSE IF (iflag_ratqs == 13) THEN
              ! contribution of ubgrid orography to ratqs
              CALL ratqs_oro(klon,klev,pctsrf,zstd,zqsat,t_seri,pplay,paprs,ratqs_oro_)
              ratqss=ratqss+ratqs_oro_
-          else if (iflag_ratqs == 14) THEN
+          ELSE IF (iflag_ratqs == 14) THEN
              ! effect of subgrid-scale TKE on ratqs (in development)
              CALL ratqs_tke(klon,klev,pdtphys,t_seri,q_seri,zqsat,pplay,paprs,omega,tke,tke_dissip,lmix,wprime,ratqs_tke_)
@@ -230,5 +230,5 @@
 !  -----------
 
-      if (iflag_cld_th==1 .or.iflag_cld_th==2.or.iflag_cld_th==4) THEN
+      IF (iflag_cld_th==1 .OR.iflag_cld_th==2.OR.iflag_cld_th==4) THEN
 ! On ajoute une constante au ratqsc*2 pour tenir compte de 
 ! fluctuations turbulentes de petite echelle
@@ -236,5 +236,5 @@
          do k=1,klev
             do i=1,klon
-               if ((fm_therm(i,k)>1.e-10)) THEN
+               IF ((fm_therm(i,k)>1.e-10)) THEN
                   ratqsc(i,k)=sqrt(ratqsc(i,k)**2+0.05**2)
                endif
@@ -245,5 +245,5 @@
        IF(prt_level>=9) WRITE(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
 
-         if (tau_ratqs>1.e-10) THEN
+         IF (tau_ratqs>1.e-10) THEN
             facteur=exp(-pdtphys/tau_ratqs)
          else
@@ -258,5 +258,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          ratqs(:,:)=max(ratqs(:,:),ratqss(:,:))
-      else if (iflag_cld_th<=6) THEN
+      ELSE IF (iflag_cld_th<=6) THEN
 !   on ne prend que le ratqs stable pour fisrtilp
          ratqs(:,:)=ratqss(:,:)
@@ -266,5 +266,5 @@
           do k=1,klev
              do i=1,klon
-                if (ratqsc(i,k)>1.e-10) THEN
+                IF (ratqsc(i,k)>1.e-10) THEN
                    ratqs(i,k)=ratqs(i,k)*zfratqs2+(iflag_cld_th/100.)*ratqsc(i,k)*(1.-zfratqs2)
                 endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5117)
@@ -44,15 +44,15 @@
 ! Declarations
 ! Input
-integer,intent(in) :: klon,klev,iflag_ratqs
-real,intent(in) :: pdtphys,ratqsbas
-real, dimension(klon,klev+1),intent(in) :: paprs
-real, dimension(klon,klev),intent(in) :: wake_deltaq, q_seri,qtc_cv, sigt_cv
-real, dimension(klon),intent(in) :: wake_s
-real, dimension(klon,klev+1),intent(in) :: fm_therm
-real, dimension(klon,klev),intent(in) :: entr_therm,detr_therm,detrain_cv,fm_cv,fqd,fqcomp
-real, dimension(klon),intent(in) :: sigd
+INTEGER,INTENT(IN) :: klon,klev,iflag_ratqs
+REAL,INTENT(IN) :: pdtphys,ratqsbas
+REAL, DIMENSION(klon,klev+1),INTENT(IN) :: paprs
+REAL, DIMENSION(klon,klev),INTENT(IN) :: wake_deltaq, q_seri,qtc_cv, sigt_cv
+REAL, DIMENSION(klon),INTENT(IN) :: wake_s
+REAL, DIMENSION(klon,klev+1),INTENT(IN) :: fm_therm
+REAL, DIMENSION(klon,klev),INTENT(IN) :: entr_therm,detr_therm,detrain_cv,fm_cv,fqd,fqcomp
+REAL, DIMENSION(klon),INTENT(IN) :: sigd
 
 ! Output
-real, dimension(klon,klev),intent(inout) :: ratqs_inter_
+REAL, DIMENSION(klon,klev),INTENT(INOUT) :: ratqs_inter_
 
 ! local
@@ -64,10 +64,10 @@
 REAL, DIMENSION (klon,klev) :: zmasse,entr0,detr0,detraincv,dqp,detrain_p,q0,qd0,tau_diss
 REAL, DIMENSION (klon,klev+1) :: fm0
-integer i,k
-real, dimension(klon,klev) :: wake_dq
-
-real, dimension(klon) :: max_sigd, max_dqconv,max_sigt
-real, dimension(klon,klev) :: zoa,zocarrea,pdocarreadj,pocarre,po,pdoadj,varq_therm
-real, dimension(klon,klev) :: var_moy, var_var, var_desc_th,var_det_conv,var_desc_prec,var_desc_conv,sigma_therm
+INTEGER i,k
+REAL, DIMENSION(klon,klev) :: wake_dq
+
+REAL, DIMENSION(klon) :: max_sigd, max_dqconv,max_sigt
+REAL, DIMENSION(klon,klev) :: zoa,zocarrea,pdocarreadj,pocarre,po,pdoadj,varq_therm
+REAL, DIMENSION(klon,klev) :: var_moy, var_var, var_desc_th,var_det_conv,var_desc_prec,var_desc_conv,sigma_therm
 
 lev_out=0.
@@ -127,5 +127,5 @@
             var_var(i,k) = detr0(i,k)*(varq_therm(i,k)-povariance(i,k))/zmasse(i,k)
             var_det_conv(i,k) =  a_ratqs_cv*(detrain_cv(i,k)/zmasse(i,k))
-            if (sigd(i)/=0) THEN
+            IF (sigd(i)/=0) THEN
                var_desc_prec(i,k) = sigd(i)*(1-sigd(i))*(fqd(i,k)*tau_cumul/sigd(i))**2/tau_cumul
             else
@@ -145,9 +145,9 @@
       var_desc_conv(:,klev) = var_desc_conv(:,klev-1)
       
-      if (klein) THEN
+      IF (klein) THEN
          do k=1,klev-1
             do i=1,klon
               qd0(:,:) = 0.0
-              if (sigd(i)/=0) THEN
+              IF (sigd(i)/=0) THEN
                 qd0(i,k) = fqd(i,k)*tau_cumul/sigd(i) 
               endif
@@ -169,8 +169,8 @@
          do k=1,klev-1
             do i=1,klon
-               if (sigd(i)/=0) then    ! termes de variance par accumulation
+               IF (sigd(i)/=0) then    ! termes de variance par accumulation
                  qd0(i,k) = fqd(i,k)*tau_cumul/sigd(i) 
                endif
-               if (sigt_cv(i,k)/=0) THEN
+               IF (sigt_cv(i,k)/=0) THEN
                  q0(i,k) = fqcomp(i,k)*tau_cumul/sigt_cv(i,k)
                endif
@@ -233,5 +233,5 @@
 ! OUTPUTS
 
-REAL, DIMENSION(klon,klev), INTENT(out) :: ratqs_oro_ ! ratqs profile due to subgrid orography
+REAL, DIMENSION(klon,klev), INTENT(OUT) :: ratqs_oro_ ! ratqs profile due to subgrid orography
 
 
@@ -315,5 +315,5 @@
 ! OUTPUTS
 
-REAL, DIMENSION(klon,klev), INTENT(out) :: ratqs_hetero_ ! ratsq profile due to surface heterogeneities
+REAL, DIMENSION(klon,klev), INTENT(OUT) :: ratqs_hetero_ ! ratsq profile due to surface heterogeneities
 
 
@@ -398,5 +398,5 @@
 ! OUTPUTS
 
-REAL, DIMENSION(klon,klev), INTENT(out) :: ratqs_tke_  ! ratsq profile due to subgrid TKE
+REAL, DIMENSION(klon,klev), INTENT(OUT) :: ratqs_tke_  ! ratsq profile due to subgrid TKE
 
 ! LOCAL
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5117)
@@ -43,5 +43,5 @@
       do l=1,klev-1
          do ig=1,ngrid
-            if (ztv(ig,l)> ztv(ig,l+1) .and. ztv(ig,1)>=ztv(ig,l) ) THEN
+            IF (ztv(ig,l)> ztv(ig,l+1) .AND. ztv(ig,1)>=ztv(ig,l) ) THEN
                alim_star(ig,l)=MAX((ztv(ig,l)-ztv(ig,l+1)),0.)  &
                          *sqrt(zlev(ig,l+1))
@@ -53,5 +53,5 @@
       do l=1,klev
          do ig=1,ngrid 
-            if (alim_star_tot(ig) > 1.e-10 ) THEN
+            IF (alim_star_tot(ig) > 1.e-10 ) THEN
                alim_star(ig,l)=alim_star(ig,l)/alim_star_tot(ig)
             endif
@@ -82,5 +82,5 @@
          do ig=1,ngrid
             ztv_parcel=ztv(ig,1)+d_temp(ig)
-            if (ztv_parcel<ztv(ig,l+1)) lalim(ig)=l
+            IF (ztv_parcel<ztv(ig,l+1)) lalim(ig)=l
          enddo
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5117)
@@ -46,31 +46,31 @@
 
 !------Entrees
-      integer, intent(in) :: ngrid,nlay
-      real, intent(in) :: ptimestep
-      real, intent(in) :: pplay(ngrid,nlay),pplev(ngrid,nlay+1)
-      integer, intent(in), dimension(ngrid) ::lmax,lalim
-      real, intent(in), dimension(ngrid) :: zmax, zcong
-      real, intent(in), dimension(ngrid,nlay+1) :: zw2
-      real, intent(in), dimension(ngrid,nlay+1) :: fraca
-      real, intent(in), dimension(ngrid,nlay) :: wth3
-      real, intent(in), dimension(ngrid,nlay) :: rhobarz
-      real, intent(in), dimension(ngrid) :: wmax_sec
-      real, intent(in), dimension(ngrid,nlay) :: entr0
-      real, intent(in), dimension(ngrid,nlay+1) :: fm0,fm
-      real, intent(in), dimension(ngrid) :: pcon
-      real, intent(in), dimension(ngrid,nlay) :: alim_star
-      real, intent(in), dimension(ngrid,nlay+1,nbsrf) :: pbl_tke
-      real, intent(in), dimension(ngrid,nbsrf) :: pctsrf
-      real, intent(in), dimension(ngrid,nlay) :: omega
-      real, intent(in), dimension(ngrid) :: airephy
+      INTEGER, INTENT(IN) :: ngrid,nlay
+      REAL, INTENT(IN) :: ptimestep
+      REAL, INTENT(IN) :: pplay(ngrid,nlay),pplev(ngrid,nlay+1)
+      INTEGER, INTENT(IN), DIMENSION(ngrid) ::lmax,lalim
+      REAL, INTENT(IN), DIMENSION(ngrid) :: zmax, zcong
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: zw2
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: fraca
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: wth3
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: rhobarz
+      REAL, INTENT(IN), DIMENSION(ngrid) :: wmax_sec
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: entr0
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: fm0,fm
+      REAL, INTENT(IN), DIMENSION(ngrid) :: pcon
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: alim_star
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay+1,nbsrf) :: pbl_tke
+      REAL, INTENT(IN), DIMENSION(ngrid,nbsrf) :: pctsrf
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: omega
+      REAL, INTENT(IN), DIMENSION(ngrid) :: airephy
 !------Sorties
-      real, intent(out), dimension(ngrid) :: ale_bl,alp_bl
-      real, intent(out), dimension(ngrid,nlay) :: wght_th
-      integer, intent(out), dimension(ngrid) :: lalim_conv
-      real, intent(out), dimension(ngrid) :: zlcl,fraca0,w0,w_conv
-      real, intent(out), dimension(ngrid) :: therm_tke_max0,env_tke_max0,n2,s2,ale_bl_stat,strig
-      real, intent(out), dimension(ngrid,nlay) :: therm_tke_max,env_tke_max
-      real, intent(out), dimension(ngrid) :: alp_bl_det,alp_bl_fluct_m,alp_bl_fluct_tke
-      real, intent(out), dimension(ngrid) :: alp_bl_conv,alp_bl_stat
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: ale_bl,alp_bl
+      REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: wght_th
+      INTEGER, INTENT(OUT), DIMENSION(ngrid) :: lalim_conv
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: zlcl,fraca0,w0,w_conv
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: therm_tke_max0,env_tke_max0,n2,s2,ale_bl_stat,strig
+      REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: therm_tke_max,env_tke_max
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: alp_bl_det,alp_bl_fluct_m,alp_bl_fluct_tke
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: alp_bl_conv,alp_bl_stat
 
 !=============================================================================================
@@ -80,30 +80,30 @@
       REAL susqr2pi, reuler
       INTEGER ig,k,l
-      integer nsrf
-      real rhobarz0(ngrid)                    ! Densité au LCL
-      logical ok_lcl(ngrid)                   ! Existence du LCL des thermiques
-      integer klcl(ngrid)                     ! Niveau du LCL
-      real interp(ngrid)                      ! Coef d'interpolation pour le LCL
+      INTEGER nsrf
+      REAL rhobarz0(ngrid)                    ! Densité au LCL
+      LOGICAL ok_lcl(ngrid)                   ! Existence du LCL des thermiques
+      INTEGER klcl(ngrid)                     ! Niveau du LCL
+      REAL interp(ngrid)                      ! Coef d'interpolation pour le LCL
 !--Triggering
-      real, parameter :: su_cst=4e4              ! Surface unite: celle d'un updraft élémentaire
-      real, parameter :: hcoef=1             ! Coefficient directeur pour le calcul de s2
-      real, parameter :: hmincoef=0.3        ! Coefficient directeur pour l'ordonnée à l'origine pour le calcul de s2
-      real, parameter :: eps1=0.3            ! Fraction de surface occupée par la population 1 : eps1=n1*s1/(fraca0*Sd)
-      real, dimension(ngrid) :: hmin         ! Ordonnée à l'origine pour le calcul de s2
-      real, dimension(ngrid) :: zmax_moy     ! Hauteur moyenne des thermiques : zmax_moy = zlcl + 0.33 (zmax-zlcl)
-      real, parameter :: zmax_moy_coef=0.33
-      real, dimension(ngrid) :: depth        ! Epaisseur moyenne du cumulus
-      real, dimension(ngrid) :: zcong_moy 
-      real, dimension(ngrid) ::  w_max                 ! Vitesse max statistique 
-      real, dimension(ngrid) ::  s_max(ngrid)
+      REAL, parameter :: su_cst=4e4              ! Surface unite: celle d'un updraft élémentaire
+      REAL, parameter :: hcoef=1             ! Coefficient directeur pour le calcul de s2
+      REAL, parameter :: hmincoef=0.3        ! Coefficient directeur pour l'ordonnée à l'origine pour le calcul de s2
+      REAL, parameter :: eps1=0.3            ! Fraction de surface occupée par la population 1 : eps1=n1*s1/(fraca0*Sd)
+      REAL, DIMENSION(ngrid) :: hmin         ! Ordonnée à l'origine pour le calcul de s2
+      REAL, DIMENSION(ngrid) :: zmax_moy     ! Hauteur moyenne des thermiques : zmax_moy = zlcl + 0.33 (zmax-zlcl)
+      REAL, parameter :: zmax_moy_coef=0.33
+      REAL, DIMENSION(ngrid) :: depth        ! Epaisseur moyenne du cumulus
+      REAL, DIMENSION(ngrid) :: zcong_moy
+      REAL, DIMENSION(ngrid) ::  w_max                 ! Vitesse max statistique
+      REAL, DIMENSION(ngrid) ::  s_max(ngrid)
 !--Closure
-      real, dimension(ngrid,nlay) :: pbl_tke_max       ! Profil de TKE moyenne 
-      real, dimension(ngrid) :: pbl_tke_max0           ! TKE moyenne au LCL
-      real, dimension(ngrid,nlay) :: w_ls              ! Vitesse verticale grande échelle (m/s)
-      real, parameter :: coef_m=1.            ! On considère un rendement pour alp_bl_fluct_m
-      real, parameter :: coef_tke=1.          ! On considère un rendement pour alp_bl_fluct_tke
+      REAL, DIMENSION(ngrid,nlay) :: pbl_tke_max       ! Profil de TKE moyenne
+      REAL, DIMENSION(ngrid) :: pbl_tke_max0           ! TKE moyenne au LCL
+      REAL, DIMENSION(ngrid,nlay) :: w_ls              ! Vitesse verticale grande échelle (m/s)
+      REAL, parameter :: coef_m=1.            ! On considère un rendement pour alp_bl_fluct_m
+      REAL, parameter :: coef_tke=1.          ! On considère un rendement pour alp_bl_fluct_tke
       REAL :: zdp
-      real, dimension(ngrid) :: alp_int,dp_int
-      real, dimension(ngrid) :: fm_tot
+      REAL, DIMENSION(ngrid) :: alp_int,dp_int
+      REAL, DIMENSION(ngrid) :: fm_tot
 
 !------------------------------------------------------------
@@ -137,5 +137,5 @@
     do ig=1,ngrid
       ok_lcl(ig)=.FALSE.
-      if ( (pcon(ig) > pplay(ig,nlay-1)) .and. (pcon(ig) < pplay(ig,1)) ) ok_lcl(ig)=.TRUE.
+      IF ( (pcon(ig) > pplay(ig,nlay-1)) .AND. (pcon(ig) < pplay(ig,1)) ) ok_lcl(ig)=.TRUE.
     enddo
 
@@ -143,11 +143,11 @@
     do l=1,nlay-1
       do ig=1,ngrid
-        if (ok_lcl(ig)) THEN
+        IF (ok_lcl(ig)) THEN
 !ATTENTION,zw2 calcule en pplev
-!          if ((pplay(ig,l) .ge. pcon(ig)) .and. (pplay(ig,l+1) .le. pcon(ig))) THEN
+!          if ((pplay(ig,l) .ge. pcon(ig)) .AND. (pplay(ig,l+1) .le. pcon(ig))) THEN
 !          klcl(ig)=l
 !          interp(ig)=(pcon(ig)-pplay(ig,klcl(ig)))/(pplay(ig,klcl(ig)+1)-pplay(ig,klcl(ig)))
 !          endif
-          if ((pplev(ig,l) >= pcon(ig)) .and. (pplev(ig,l+1) <= pcon(ig))) THEN
+          IF ((pplev(ig,l) >= pcon(ig)) .AND. (pplev(ig,l+1) <= pcon(ig))) THEN
           klcl(ig)=l
           interp(ig)=(pcon(ig)-pplev(ig,klcl(ig)))/(pplev(ig,klcl(ig)+1)-pplev(ig,klcl(ig)))
@@ -159,5 +159,5 @@
     do ig =1,ngrid
 !CR:REHABILITATION ZMAX CONTINU
-     if (ok_lcl(ig)) THEN
+     IF (ok_lcl(ig)) THEN
       rhobarz0(ig)=rhobarz(ig,klcl(ig))+(rhobarz(ig,klcl(ig)+1) &
                  -rhobarz(ig,klcl(ig)))*interp(ig)
@@ -172,5 +172,5 @@
 
 !------------Calcul des propriétés du thermique au LCL
-  IF ( (iflag_trig_bl>=1) .or. (iflag_clos_bl>=1) ) THEN
+  IF ( (iflag_trig_bl>=1) .OR. (iflag_clos_bl>=1) ) THEN
 
   !-----Initialisation de la TKE moyenne 
@@ -214,5 +214,5 @@
 
   do ig=1,ngrid
-   if (ok_lcl(ig)) THEN
+   IF (ok_lcl(ig)) THEN
      fraca0(ig)=fraca(ig,klcl(ig))+(fraca(ig,klcl(ig)+1) &
                -fraca(ig,klcl(ig)))*interp(ig)
@@ -227,7 +227,7 @@
      pbl_tke_max0(ig)=pbl_tke_max(ig,klcl(ig))+(pbl_tke_max(ig,klcl(ig)+1) &
                      -pbl_tke_max(ig,klcl(ig)))*interp(ig)
-     if (therm_tke_max0(ig)>=20.) therm_tke_max0(ig)=20.
-     if (env_tke_max0(ig)>=20.) env_tke_max0(ig)=20.
-     if (pbl_tke_max0(ig)>=20.) pbl_tke_max0(ig)=20.
+     IF (therm_tke_max0(ig)>=20.) therm_tke_max0(ig)=20.
+     IF (env_tke_max0(ig)>=20.) env_tke_max0(ig)=20.
+     IF (pbl_tke_max0(ig)>=20.) pbl_tke_max0(ig)=20.
    else 
      fraca0(ig)=0.
@@ -239,6 +239,6 @@
   enddo
 
-  ENDIF ! IF ( (iflag_trig_bl.ge.1) .or. (iflag_clos_bl.ge.1) )
-!  print *,'ENDIF  ( (iflag_trig_bl.ge.1) .or. (iflag_clos_bl.ge.1) ) '    !!jyg
+  ENDIF ! IF ( (iflag_trig_bl.ge.1) .OR. (iflag_clos_bl.ge.1) )
+!  print *,'ENDIF  ( (iflag_trig_bl.ge.1) .OR. (iflag_clos_bl.ge.1) ) '    !!jyg
 
 !------------Triggering------------------
@@ -258,5 +258,5 @@
      depth(ig)=zmax_moy(ig)-zlcl(ig)
      hmin(ig)=hmincoef*zlcl(ig)
-     if (depth(ig)>=10.) THEN
+     IF (depth(ig)>=10.) THEN
        s2(ig)=(hcoef*depth(ig)+hmin(ig))**2
        n2(ig)=(1.-eps1)*fraca0(ig)*airephy(ig)/s2(ig)
@@ -275,7 +275,7 @@
 
 !CR: calcul de strig
-   if (iflag_strig==0) THEN
+   IF (iflag_strig==0) THEN
       strig(:)=s_trig
-   else if (iflag_strig==1) THEN
+   ELSE IF (iflag_strig==1) THEN
       do ig=1,ngrid
 !         zcong_moy(ig)=zlcl(ig)+zmax_moy_coef*(zcong(ig)-zlcl(ig))
@@ -283,7 +283,7 @@
          strig(ig)=(zcong(ig)-zlcl(ig))**2  
       enddo
-   else if (iflag_strig==2) THEN
+   ELSE IF (iflag_strig==2) THEN
       do ig=1,ngrid 
-         if (h_trig>zlcl(ig)) THEN
+         IF (h_trig>zlcl(ig)) THEN
          strig(ig)=(h_trig-zlcl(ig))**2
          else
@@ -296,5 +296,5 @@
    reuler=exp(1.)
    do ig=1,ngrid
-     if ( (depth(ig)>=10.) .and. (s_max(ig)>susqr2pi*reuler) ) THEN
+     IF ( (depth(ig)>=10.) .AND. (s_max(ig)>susqr2pi*reuler) ) THEN
       w_max(ig)=w0(ig)*(1.+sqrt(2.*log(s_max(ig)/susqr2pi)-log(2.*log(s_max(ig)/susqr2pi))))
       ale_bl_stat(ig)=0.5*w_max(ig)**2
@@ -319,5 +319,5 @@
   alp_bl_fluct_tke(ig)=3.*coef_m*rhobarz0(ig)*w0(ig)*fraca0(ig)*(therm_tke_max0(ig)-env_tke_max0(ig)) &
                       +3.*rhobarz0(ig)*w_conv(ig)*pbl_tke_max0(ig)
-    if (iflag_clos_bl>=2) THEN
+    IF (iflag_clos_bl>=2) THEN
     alp_bl_conv(ig)=1.5*coef_m*rhobarz0(ig)*fraca0(ig)*(fraca0(ig)/(1.-fraca0(ig)))*w_conv(ig)* &
                      (w0(ig)**2)
@@ -330,5 +330,5 @@
 !-----Sécurité ALP infinie
   do ig=1,ngrid
-   if (fraca0(ig)>0.98) alp_bl_stat(ig)=2.
+   IF (fraca0(ig)>0.98) alp_bl_stat(ig)=2.
   enddo
 
@@ -363,5 +363,5 @@
       do k=1,nlay
          do ig=1,ngrid
-            if (k<=lalim_conv(ig)) fm_tot(ig)=fm_tot(ig)+fm(ig,k)
+            IF (k<=lalim_conv(ig)) fm_tot(ig)=fm_tot(ig)+fm(ig,k)
          enddo
       enddo
@@ -371,5 +371,5 @@
       do k=1,nlay
          do ig=1,ngrid
-            if (k<=lalim_conv(ig).and.alim_star(ig,k)>1.e-10) THEN
+            IF (k<=lalim_conv(ig).AND.alim_star(ig,k)>1.e-10) THEN
                wght_th(ig,k)=alim_star(ig,k)
             endif
@@ -380,6 +380,6 @@
 !test pour prolonger la convection
       do ig=1,ngrid
-!v1d  if ((alim_star(ig,1).lt.1.e-10).and.(therm)) THEN
-      if ((alim_star(ig,1)<1.e-10)) THEN
+!v1d  if ((alim_star(ig,1).lt.1.e-10).AND.(therm)) THEN
+      IF ((alim_star(ig,1)<1.e-10)) THEN
       lalim_conv(ig)=1
       wght_th(ig,1)=1.
@@ -407,8 +407,8 @@
       enddo
 
-      if (iflag_coupl>=3 .and. iflag_coupl<=5) THEN
+      IF (iflag_coupl>=3 .AND. iflag_coupl<=5) THEN
       do ig=1,ngrid
 !valeur integree de alp_bl * 0.5:
-        if (dp_int(ig)>0.) THEN
+        IF (dp_int(ig)>0.) THEN
         alp_bl(ig)=alp_int(ig)/dp_int(ig)
         endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5117)
@@ -21,15 +21,15 @@
 
 ! --- arguments ------------------------------------------
-integer, intent(in) :: ngrid,nlay
-real, intent(in) :: r_aspect,ptimestep
-real, intent(in), dimension(ngrid,nlay) :: alim_star,rho,zlev
-integer, intent(in), dimension(ngrid) :: lalim
-real, intent(in), dimension(ngrid) :: zmax,wmax
+INTEGER, INTENT(IN) :: ngrid,nlay
+REAL, INTENT(IN) :: r_aspect,ptimestep
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: alim_star,rho,zlev
+INTEGER, INTENT(IN), DIMENSION(ngrid) :: lalim
+REAL, INTENT(IN), DIMENSION(ngrid) :: zmax,wmax
 
-real, intent(out), dimension(ngrid) :: f
+REAL, INTENT(OUT), DIMENSION(ngrid) :: f
 
 
 ! --- local ------------------------------------------
-real, dimension(ngrid) :: zdenom,alim_star2,alim_star_tot
+REAL, DIMENSION(ngrid) :: zdenom,alim_star2,alim_star_tot
 INTEGER llmax
 INTEGER ig,k       
@@ -45,5 +45,5 @@
 llmax=1
 DO ig=1,ngrid
-   if (lalim(ig)>llmax) llmax=lalim(ig)
+   IF (lalim(ig)>llmax) llmax=lalim(ig)
 END DO
 
@@ -53,5 +53,5 @@
 DO k=1,llmax-1
    do ig=1,ngrid
-      if (k<lalim(ig)) THEN
+      IF (k<lalim(ig)) THEN
          alim_star2(ig)=alim_star2(ig)+alim_star(ig,k)**2  &
 &                    /(rho(ig,k)*(zlev(ig,k+1)-zlev(ig,k)))
@@ -63,5 +63,5 @@
 
 DO ig=1,ngrid
-   if (alim_star2(ig)>1.e-10) THEN
+   IF (alim_star2(ig)>1.e-10) THEN
       f(ig)=wmax(ig)*alim_star_tot(ig)/  &
 &     (max(500.,zmax(ig))*r_aspect*alim_star2(ig))
